/** 
 * rxtx for kiosk
 *ashok 2007
 * 
 * Starts a network server on the local computer using the port 5204. 
 * It receives strings (such as "a") and forwards over serial to local arduino
 * to myPort. Also receives serial from arduino and forwards over IP. 
 * 

 */

import processing.net.*;
import processing.serial.*;

PFont font;
Serial myPort;

int port = 5204;
boolean myServerRunning = true;
int val = 0;
//int direction = 1;
//int[] sanjay = { 115,97,110,106,97,121,32,13 };

Server myServer;

void setup()
{
  //size(200, 200);
  //background(0);

  //println(Serial.list());
  myServer = new Server(this, port); // Starts a myServer on port 5204
  myPort = new Serial(this, Serial.list()[3], 9600); //check this, for your computer. 
  print (myPort);
}


void draw()
{ 
  //see if there's a client that's connected and sent data:
  Client thisClient = myServer.available();
  //print ("hello");
  if (thisClient != null) {
    // if there are bytes in the client's incoming data buffer:
    if (thisClient.available() > 0) {
      // print ("someone");
      // read the incoming string:
      String thisString = thisClient.readString();
      if (thisString != null) {
        println(" from you =" + thisString);
      myPort.write(thisString);  // send string "a" or "b" ascii 97, 98
      }
      //write hello    

    }

  }

  /*write section
   
   // background(val);
   //String hello = "hello";
   myServer.write(sanjay[val]);
   println("sending hello");
  

}
// }
//}
